# Dandelicence

## A licence that works on good faith, because why can't we all just be friends instead of bickering?

### Dandelicence's homepage: https://github.com/DandelionSprout/Dandelicence

### Version 1.2, 11th of January UTC

Redistribution and use in source and binary forms, with or without modification, with or without commercial intentions, are permitted provided that the following conditions are met:

1) Redistributions of unmodified or near-unmodified source code must retain this licence text in unmodified form somewhere inside it.

2) The creator(s) of the original project/code may under no circumstances be held responsible for damages, incompatibilities, breakage or unmerchantability, except if it's proven beyond reasonable doubt that the unmodified source code contained live ransomware/skimmingware. Likewise, anyone who modify the source code to contain live ransomware/skimmingware that was not originally in the source code, can be held responsible for it.

3) The name(s) of the copyright/trademark holder or contributors may not be used to endorse or promote products derived from this software without explicit prior written permission.

4) If a project that is licenced under the Dandelicence (A), incorporates (near-)unmodified content from another project that is licenced under any reasonably open-sourced licence (B), then it's mandatory for the maintainer(s) of A to adhere to requests for creator/licence creditation and/or to remove the incorporated content, from the owner(s)/maintainer(s) of B, as long as it can be reasonably assumed that the requestor really does own/maintain B. In return, the requestor is expected to assume for ≥14 days after the request has been placed that the maintainer(s) of A will act in good faith, will include the creditation or perform the removal within that timespan, and that reports and DMCA claims are to be kept at an absolute minimum for as long as A acts in good faith.

* * 4a. To make it easier for A's creator to display their good faith, creditation for incorporated content should be added as fast as possible without needing a request from B, if B's content was licenced with a creditation requirement⁽¹⁾, or was from a project that appears to not mention any licences or copyright policies of any sort.
* * 4b. If the content was taken from a project whose licence had a share-alike clause⁽²⁾, and which has not been sufficiently transformed to count as transformative work, it will be treated as still being licenced under B's licence. Otherwise, it will be treated as being under the Dandelicence.
* * 4c. If it's feasible, the incorporated content from B is to be placed in its own section, and the following template or something similar should be used: *"Below are \<content> that [I/we] borrowed from \<the name of B>, which is maintained by \<link to B's maintainer> at \<link to B's project>, and which is licenced under \<B's licence>."*
* * 4d. The owner(s) of A can choose to donate and relicence any portion of his/her own code to any other project of any kind even if it has not become transformative, unless it's subject to 4a or 4b.
* * 4e. Content that was originally incorporated, but which has since become transformative, are exempted from 4a, 4b and 4c, but not from 4.

5) The British English version of this licence is the official version. All other translations are unofficial.

6) Transformative versions of the source code do not require retaining this licence file, and can be relicenced into any licence. However, condition 2, 3, 5, and 6 in the Dandelicence will still apply to how the transformative version relates to the source code.

7) If a different licence is mentioned and used as the sole licence for an individual file in a multi-file project (e.g. a Git), then the file's licence takes sole precedence over the Dandelicence.

8) It is merely optional for the Dandelicence-using project to list copyright details (e.g. name, year) in the licence file, but it should be made clear in some way who the creator of the source code was, for example (but not limited to) through the project's homepage or FAQ page, even if it's just a fictional username. It is preferable to use © instead of (C).

9) Any (near-)unmodified redistributions of the source code, shall be accessible in some form at whichever monetary price in ≥100 countries worldwide. This is to prevent it from e.g. only being accessible on USA-only streaming services or similarly restricted services. VPN access does not count towards the tally. A «country» is defined as a United Nations member state, the Republic of China, the Sahrawi Arab Democratic Republic's Free Zone, Vatican State, Kosovo, or Northern Cyprus. Should the work not be available in enough countries, any living person may request the project's maintainer to make it available in at least 10 more countries within 14 days. Once a 14-day period has finished, a new request can be placed, until 100 countries have been reached.

10) Except where local laws and/or B's licences from 4b state otherwise, redistributions or borrowed content counts as «Unmodified» if it has received 0 changes, «Transformative work» if more than 20% of the lines or 20% of the sentences (whichever is more) have been altered from their original borrowing, and «Near-unmodified» if it is somewhere between those two categories. For the purposes of section 4, if A believes that their content use has become transformative, A can optionally add a note about it in the 4c template for as long as B does not contest the claim.

———————————————————————————————————————

⁽¹⁾ = Including GPLv3, GPLv2, MPLv2, CC BY, CC BY-NC, CC BY-SA and CC BY-NC-SA (among others).<br>
⁽²⁾ = Including GPLv3, GPLv2, CC BY-SA, CC BY-NC-SA, Eclipse and EUPL (among others).
